import { Injectable } from '@nestjs/common';
import { CreateDirectorDto } from './dto/create-director.dto';
import { UpdateDirectorDto } from './dto/update-director.dto';
import { PrismaService } from '../../prisma.service';

@Injectable()
export class DirectorsService {
  constructor(private prisma: PrismaService) {}

  create(createDirectorDto: CreateDirectorDto) {
    return this.prisma.director.create({
      data: createDirectorDto,
    });
  }

  findAll() {
    return this.prisma.director.findMany();
  }

  findOne(id: string) {
    return this.prisma.director.findUnique({
      where: {
        id,
      },
    });
  }

  update(id: string, updateDirectorDto: UpdateDirectorDto) {
    return `This action updates a #${id} director`;
  }

  remove(id: string) {
    return `This action removes a #${id} director`;
  }
}
